import axios from "@/utils/request";

export function genCheckItemCode() {
  return axios(
    {
      url: "/udi/device/checkItemDict/code/gen",
      method: "GET"
    }
  )
}

export function deviceCheckItemDictPage(query) {
  return axios(
    {
      url: "/udi/device/checkItemDict/page",
      method: "POST",
      data: query
    }
  )
}

export function saveDeviceCheckItemDict(query) {
  return axios(
    {
      url: "/udi/device/checkItemDict/save",
      method: "POST",
      data: query
    }
  )
}

export function delDeviceCheckItemDict(query) {
  return axios(
    {
      url: `/udi/device/checkItemDict/del/${query}`,
      method: "DELETE"
    }
  )
}

